Index: branch/najib_idzim/tp_info6/Emb_App/SessionM32C_FoUSB_UART.BKS
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App/SessionM32C_FoUSB_UART.BKS	(nonexistent)
+++ branch/najib_idzim/tp_info6/Emb_App/SessionM32C_FoUSB_UART.BKS	(revision 146)
@@ -0,0 +1,275 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"2.3" 
+[SESSION_DETAILS]
+"" 
+[INFORMATION]
+"" 
+[GENERAL_DATA]
+"FIRST_CONNECTION_TAG" "NO" 
+"MRULABELS_DATAMANAGER_KEY" "ff1cef|FF1201|FF1F3D|FF1FD3|FF13FD" 
+"RESET_CPU_AFTER_DOWNLOAD_TAG" "VARIANT_TRUE_STORE_TAG" 
+"{210D75A5-E8B6-462A-A69C-EFB481B02BD1}PDScriptCtrlViews" "0" 
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlECX_MAP_FIND_SYMBOL_LIST" "" 
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlViews" "0" 
+"{2BA6A3EF-6488-11D5-80D4-00C04F68EAD7}StatusCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBatchFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_DEST_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_FILL_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_FILL_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_MOVE_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_MOVE_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_SEARCH_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_SEARCH_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_SET_DEST_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_TEST_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_TEST_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryCtrlViews" "0" 
+"{348532CE-10A4-4D46-B946-95A8279582D2}RamMonitorCtrlViews" "0" 
+"{348532CE-10A4-4D46-B946-95A8279582D2}RamMonitorWndRRAM Monitor AreaCount" "1" 
+"{348532CE-10A4-4D46-B946-95A8279582D2}RamMonitorWndRRAM Monitor AreaSize0" "1" 
+"{348532CE-10A4-4D46-B946-95A8279582D2}RamMonitorWndRRAM Monitor AreaStart0" "00000400" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0EnableRRam" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType" "2" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column1" "22" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column2" "5" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column3" "19" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column4" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column5" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column6" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column7" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column8" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode1Column0" "5" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode1Column1" "130" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode2Column0" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode2Column1" "35" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode3Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode3Column1" "29" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode3Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode3Column3" "91" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode4Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode4Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode4Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode4Column3" "113" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode5Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode5Column1" "21" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode5Column2" "55" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode5Column3" "55" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column0" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column2" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column3" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column4" "53" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column5" "53" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column1" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column3" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column4" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column5" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode8Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode8Column1" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode8Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode8Column3" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column0" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column2" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column3" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column4" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column5" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column6" "81" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2MrMode" "0" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2StatusBarMode0" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2StatusBarMode1" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0Sampling" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}tp_info14SessionM32C_FoUSB_UART" 
+"{5A6890B2-17C2-4AB3-B941-0F899F6A3D76}EcxPDSwbreakwinDataHeight" "359" 
+"{5A6890B2-17C2-4AB3-B941-0F899F6A3D76}EcxPDSwbreakwinDataLeft" "0" 
+"{5A6890B2-17C2-4AB3-B941-0F899F6A3D76}EcxPDSwbreakwinDataTop" "38" 
+"{5A6890B2-17C2-4AB3-B941-0F899F6A3D76}EcxPDSwbreakwinDataWidth" "344" 
+"{5A6890B2-17C2-4AB3-B941-0F899F6A3D76}PDSwbreakwinCtrlViews" "0" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileDir" "" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileName" "" 
+"{783D0BD9-7779-48C6-B353-04D9C39BA969}FirstLoadOnV103" "0" 
+"{7943C44E-7D44-422A-9140-4CF55C88F7D3}DifferenceCtrlViews" "0" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE" "00000000,00000000,0,0" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_ADDRESS_NAME" "" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_COMB_ADDRESS" ",,,," 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_COMB_BUFFER" ",,,," 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}WaveformCtrlViews" "0" 
+"{95A081A1-7001-11D5-B1FD-00A0C9E23A58}RegistersCtrlViews" "0" 
+"{99F424FE-E727-45AE-AE1F-11E29DEF272C}PDGuiIOCtrlPDGuiIOLastSaveDirectory" "" 
+"{99F424FE-E727-45AE-AE1F-11E29DEF272C}PDGuiIOCtrlViews" "0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_ADDRESS_NAME" "" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_BUFFER" "00000000,00000000,0,0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_COLOR" "0,0,0,0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_COMB_ADDRESS" ",,,," 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_COMB_PALETTE" ",,,," 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_PALETTE_NAME" "" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_REDRAW_CONTINUOUSLY" "0,2" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_VIEW" "0,0,0,0,0,0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ImageCtrlViews" "0" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchCtrlViews" "1" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0DisplayString" "0" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0File Local_Column_Address" "80" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0File Local_Column_Name" "150" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0File Local_Column_Scope" "0" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0File Local_Column_Value" "100" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Global_Column_Address" "80" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Global_Column_Name" "150" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Global_Column_Scope" "0" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Global_Column_Value" "100" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0HideTypeName" "1" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Local_Column_Address" "80" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Local_Column_Name" "189" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Local_Column_Scope" "0" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Local_Column_Value" "233" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Num_Watch" "4" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0RamMoniterEnable" "0" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0SAMPLING" "1000" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Sym_Watch_0000" "azimut,azimut,  16725857,3,NN,Col,N-N,Def,00000000,00000000,[Auto]," 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Sym_Watch_0001" "distc,distc,  16725927,3,NN,Col,N-N,Def,00000001,00000000,[Auto]," 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Sym_Watch_0002" "vitesse,vitesse,  16725331,3,NN,Col,N-N,Def,00000002,00000000,[Auto]," 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Sym_Watch_0003" "trec,trec,  16725338,16,NP,Exp,0-4,Def,00000003,00000000,[Auto]," 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Sym_Watch_0004" "byte,(pd10_addr).byte,  16725782,2,NN,Col,N-N,Def,00000004,00000000,[Auto]," 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Sym_Watch_0005" "byte,(p10_addr).byte,  16725782,2,NN,Col,N-N,Def,00000005,00000000,[Auto]," 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Watch_Column_Address" "80" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Watch_Column_Name" "150" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Watch_Column_Scope" "80" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Watch_Column_Value" "100" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0ZeroSuppressInHex" "1" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndInstanceKey0" "{WK_00000001_CWATCH}EmbM32C87AppSessionM32C_FoUSB_UART" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndNum_Watch" "6" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndSym_Watch_0000" "((u0tb_addr).byte).low" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndSym_Watch_0001" "(u0c1_addr).byte" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndSym_Watch_0002" "(ad00_addr).word" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndSym_Watch_0003" "(ad01_addr).word" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndSym_Watch_0004" "(pd10_addr).byte" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndSym_Watch_0005" "(p10_addr).byte" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd_InitialRadix" "Default" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd_TAB" "Global,File Local,Local,Watch," 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ASMWatchCtrlViews" "0" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ASMWatchWnd_AddressArea" "1" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ASMWatchWnd_PointNum" "0" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ASMWatchWnd_RramEnable" "1" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ASMWatchWnd_Sampling" "100" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ASMWatchWnd_SizeArea" "1" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ECX_ASMWATCH_DLG_BIT_ADDR" "" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ECX_ASMWATCH_DLG_SYMBOL_ADDR" "" 
+"{E6D16242-FB42-44CE-B289-ED9FE8563816}MR308DXCtrlViews" "0" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceCtrlViews" "0" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWnd0ColWidth0" "45" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWnd0ColWidth1" "100" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWnd0ColWidth2" "120" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWnd0ScrollHorz" "0" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWnd0ScrollVert" "0" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWnd0_Disp_NestCount" "10" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWndInstanceKey0" "{WK_00000001_STACKTRACE}EmbM32C87AppSessionM32C_FoUSB_UART" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlIOFile" "" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlSaveFileDir" "$(CONFIGDIR)" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlSaveFileName" "" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlViews" "0" 
+[LANGUAGE]
+"English" 
+[CONFIG_INFO_VD1]
+0 
+[CONFIG_INFO_VD2]
+0 
+[CONFIG_INFO_VD3]
+0 
+[CONFIG_INFO_VD4]
+0 
+[WINDOW_POSITION_STATE_DATA_VD1]
+"{WK_00000001_CWATCH}EmbM32C87AppSessionM32C_FoUSB_UART" "WINDOW" 59422 0 0 "0.52" 272 0 0 350 200 18 0 "32772|32773|32836|<<separator>>|32775|32776|32777|32778|<<separator>>|32780|<<separator>>|32785|<<separator>>|32837|32845|<<separator>>|32839|32841" "0.0" 
+"{WK_00000001_CWATCH}tp_info14SessionM32C_FoUSB_UART" "WINDOW" 59422 0 0 "0.15" 318 0 0 350 200 2065 0 "32772|32773|32836|<<separator>>|32775|32776|32777|32778|<<separator>>|32780|<<separator>>|32785" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.30" 272 20 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801" "0.0" 
+"{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -26 1115 802 9 0 "" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 0 "1.00" 272 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_PDMR}tp_info14SessionM32C_FoUSB_UART" "WINDOW" 59422 0 3 "0.41" 272 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_STACKTRACE}EmbM32C87AppSessionM32C_FoUSB_UART" "WINDOW" 59422 0 1 "0.13" 272 0 0 350 200 2065 0 "" "0.0" 
+"{WK_00000001_STACKTRACE}tp_info14SessionM32C_FoUSB_UART" "WINDOW" 59422 0 0 "0.33" 318 0 0 350 200 2065 0 "" "0.0" 
+"{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 231 0 0 350 200 18 0 "" "0.0" 
+"{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000003_BOOKMARKS}" "TOOLBAR 0" 59419 1 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000004_TEMPLATES}" "TOOLBAR 0" 59419 1 0 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000005_SEARCH}" "TOOLBAR 0" 59419 0 1 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000007_DEBUG}" "TOOLBAR 0" 59419 2 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000008_DEBUGRUN}" "TOOLBAR 0" 59420 1 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000009_VERSIONCONTROL}" "TOOLBAR 0" 59419 1 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000011_CPU}" "TOOLBAR 0" 59420 1 1 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000012_MAP}" "TOOLBAR 0" 59419 1 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000013_SYMBOL}" "TOOLBAR 0" 59420 1 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000014_CODE}" "TOOLBAR 0" 59419 2 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000016_GRAPHIC}" "TOOLBAR 0" 59419 2 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000018_DEFAULTWINDOW}" "TOOLBAR 0" 59419 1 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000022_BREAK}" "TOOLBAR 0" 59420 1 3 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000023_RTOS}" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000025_HELPSYSTEMTOOL}" "TOOLBAR 0" 59419 0 3 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000026_MACRO}" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000029_SYSTEMTOOL}" "TOOLBAR 0" 59419 2 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+[WINDOW_POSITION_STATE_DATA_VD2]
+[WINDOW_POSITION_STATE_DATA_VD3]
+[WINDOW_POSITION_STATE_DATA_VD4]
+[WINDOW_Z_ORDER]
+[TARGET_NAME]
+"M32C FoUSB/UART" "" 0 
+[STATUSBAR_STATEINFO_VD1]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD2]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD3]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD4]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_DEBUGGER_PANESTATE_VD1]
+[STATUSBAR_DEBUGGER_PANESTATE_VD2]
+[STATUSBAR_DEBUGGER_PANESTATE_VD3]
+[STATUSBAR_DEBUGGER_PANESTATE_VD4]
+[DEBUGGER_OPTIONS]
+"Unknown Options" 
+[DOWNLOAD_MODULES]
+"$(CONFIGDIR)\$(PROJECTNAME).x30" 0 "IEEE695_RENESAS" 0 0 1 0 
+[CONNECT_ON_GO]
+"FALSE" 
+[DOWNLOAD_MODULES_AFTER_BUILD]
+"TRUE" 
+[REMOVE_BREAKPOINTS_ON_DOWNLOAD]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_PRIOR_TO_COMMAND_FILE_EXECUTION]
+"FALSE" 
+[LIMIT_DISASSEMBLY_MEMORY_ACCESS]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_DURING_EXECUTION]
+"FALSE" 
+[DEBUGGER_OPTIONS_PROPERTIES]
+"0" 
+[COMMAND_FILES]
+[DEFAULT_DEBUG_FORMAT]
+"IEEE695_RENESAS" 
+[FLASH_DETAILS]
+"" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
+[BREAKPOINTS]
+[END]
Index: branch/najib_idzim/tp_info6/Emb_App/EmbM32C87App.BKP
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App/EmbM32C87App.BKP	(nonexistent)
+++ branch/najib_idzim/tp_info6/Emb_App/EmbM32C87App.BKP	(revision 146)
@@ -0,0 +1,355 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"2.8" 
+[PROJECT_DETAILS]
+"EmbM32C87App" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
+[INFORMATION]
+"No project information available" 
+[TOOL_CHAIN]
+"Renesas M32C Standard Toolchain" "5.42.00" 
+[CONFIGURATIONS]
+"Debug" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\Debug" 
+"Debug_M32C_FoUSB_UART" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\Debug_M32C_FoUSB_UART" 
+"Debug_M32C_Simulator" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\Debug_M32C_Simulator" 
+"Release" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\Release" 
+[BUILD_PHASES]
+"Renesas M32C Assembler" 1 
+"Renesas M32C C Compiler" 1 
+"Renesas M32C Configurator" 1 
+"Renesas M32C Librarian" 1 
+"Renesas M32C Linker" 1 
+"Renesas M32C Stype Converter" 1 
+[TOOL_ENVIRONMENT]
+[EXTENSIONS]
+"Absolute file" "X30" 
+"Absolute list file" "ALS" 
+"Assembler error tag file" "ATG" 
+"Assembly include file" "INC" 
+"Assembly list file" "LST" 
+"Assembly source file" "A30" 
+"Branch Information file" "JIN" 
+"C header file" "H" 
+"C source file" "C" 
+"Configuration file" "CFG" 
+"Cross reference file" "XRF" 
+"Hex file" "HEX" 
+"ID file" "ID" 
+"Library file" "LIB" 
+"Library list file" "LLS" 
+"Linkage error tag file" "LTG" 
+"Linkage map file" "MAP" 
+"Preprocessed C source file" "I" 
+"Relocatable file" "R30" 
+"S-Record file" "MOT" 
+"Systemcall file" "MRC" 
+[FILE_GROUPS]
+"Absolute file" "BIN" "NONE" "" 
+"Absolute list file" "TEXT" "EDITOR" "" 
+"Assembler error tag file" "TEXT" "EDITOR" "" 
+"Assembly include file" "TEXT" "EDITOR" "" 
+"Assembly list file" "TEXT" "EDITOR" "" 
+"Assembly source file" "TEXT" "EDITOR" "" 
+"Branch Information file" "TEXT" "EDITOR" "" 
+"C header file" "TEXT" "EDITOR" "" 
+"C source file" "TEXT" "EDITOR" "" 
+"Configuration file" "TEXT" "EDITOR" "" 
+"Cross reference file" "TEXT" "EDITOR" "" 
+"Hex file" "TEXT" "EDITOR" "" 
+"ID file" "TEXT" "EDITOR" "" 
+"Library file" "BIN" "NONE" "" 
+"Library list file" "TEXT" "EDITOR" "" 
+"Linkage error tag file" "TEXT" "EDITOR" "" 
+"Linkage map file" "TEXT" "EDITOR" "" 
+"Preprocessed C source file" "TEXT" "EDITOR" "" 
+"Relocatable file" "BIN" "NONE" "" 
+"S-Record file" "TEXT" "EDITOR" "" 
+"Systemcall file" "TEXT" "EDITOR" "" 
+[ASSOCIATED_APPLICATIONS]
+[TOOLCHAIN_PHASE]
+"Renesas M32C Assembler" 
+"Renesas M32C C Compiler" 
+"Renesas M32C Configurator" 
+"Renesas M32C Librarian" 
+"Renesas M32C Linker" 
+"Renesas M32C Stype Converter" 
+[UTILITY_PHASE]
+[CUSTOM_PHASES]
+[CUSTOM_PHASE_INPUT_GROUP]
+[CUSTOM_PHASE_OUTPUT_SYNTAX]
+[BUILD_ORDER]
+"Renesas M32C Configurator" 1 
+"Renesas M32C C Compiler" 1 
+"Renesas M32C Assembler" 1 
+"Renesas M32C Linker" 1 
+"Renesas M32C Stype Converter" 1 
+"Renesas M32C Librarian" 0 
+[BUILD_PHASE_DETAILS]
+"Renesas M32C Assembler" "Assembly source file" 1 
+"Renesas M32C C Compiler" "C source file" 1 
+"Renesas M32C Configurator" "Configuration file" 0 
+"Renesas M32C Librarian" "Relocatable file" 0 
+"Renesas M32C Linker" "Relocatable file" 0 
+"Renesas M32C Stype Converter" "Absolute file" 0 
+[BUILD_FILE_ORDER_Assembly source file]
+"Renesas M32C Assembler" 1 
+[BUILD_FILE_ORDER_C source file]
+"Renesas M32C C Compiler" 1 
+[SCRAP]
+"Project Generator Setup File" "" 
+[MAPPINGS]
+"Absolute file" "Renesas M32C Stype Converter" "Renesas M32C Linker" 
+"Assembly source file" "Renesas M32C Assembler" "Renesas M32C C Compiler" 
+"Relocatable file" "Renesas M32C Librarian" "Renesas M32C Assembler" 
+"Relocatable file" "Renesas M32C Librarian" "Renesas M32C C Compiler" 
+"Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
+"Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
+[PROJECT_FILES]
+"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\can.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\can.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\carte_io.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\carte_m32.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\clavier.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\clavier.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\dma0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\dma0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\lcd.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\lcd.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\mli.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\mli.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\periph.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\periph.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\radiocommande.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\radiocommande.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\sfr32c83.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\sfr32c87.h" "User" "C header file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\uart0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\uart0.h" "User" "C header file" 2 
+[FOLDER]
+"Assembly source file" "Assembly source file" 
+"C header file" "C header file" 
+"C source file" "C source file" 
+"Configuration file" "Configuration file" 
+[GENERAL_DATA_PROJECT]
+"USE_CUSTOM_LINKAGE_ORDER" "0" 
+[ON_DEMAND_COMPONENTS_LOADED]
+[SYNC_SESSION_NAMES]
+[SESSIONS]
+"DefaultSession" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\DefaultSession.hsf" 0 
+"SessionM32C_E8a_system" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\SessionM32C_E8a_system.hsf" 0 
+"SessionM32C_FoUSB_UART" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
+"SessionM32C_Simulator" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\SessionM32C_Simulator.hsf" 0 
+[GENERAL_DATA_SESSION_DefaultSession]
+[GENERAL_DATA_SESSION_SessionM32C_E8a_system]
+[GENERAL_DATA_SESSION_SessionM32C_FoUSB_UART]
+[GENERAL_DATA_SESSION_SessionM32C_Simulator]
+[OPTIONS_Debug_Renesas M32C Assembler]
+"Assembly source file" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+[OPTIONS_Debug_Renesas M32C C Compiler]
+"C source file" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\can.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\clavier.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\dma0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\lcd.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\mli.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\periph.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\radiocommande.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\uart0.c" "0d1c724595684d10" 2 
+[OPTIONS_Debug_Renesas M32C Configurator]
+"Single Shot" "061cd8963acbbc10" 1 
+[OPTIONS_Debug_Renesas M32C Librarian]
+"Single Shot" "032b447e85684d10" 6 
+[OPTIONS_Debug_Renesas M32C Linker]
+"Single Shot" "01b7557e85684d10" 4 
+[OPTIONS_Debug_Renesas M32C Stype Converter]
+"Single Shot" "01b7557e85684d10" 5 
+[OPTIONS_Debug]
+"" 0 
+"[V|VERSION|2] [B|SYSTEMCALL|1] [S|SPEC|UITRON3]
+" 1 
+"[V|VERSION|2] [S|FORMAT|STYPE] [B|DATALENGTH|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).mot^"] [B|SILENT|1]
+" 5 
+"[V|VERSION|2] [S|INCLUDE|^"$(CONFIGDIR)^"] [S|DEFINE|M32C87=1] [B|INSPECTOR|1] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [S|LIST|L|M] [B|DISABLES_MESSAGE|1] [B|CONTROLS_FILE|1] [B|RTOS|1] [S|CPU|M32C80]
+" 3 
+"[V|VERSION|2] [S|INCLUDE|^"$(CONFIGDIR)^"|^"$(PROJDIR)\..\bsp^"] [S|DEFINE|M32C87=1] [S|OUTPUT|OBJECTCODE] [B|INSPECTOR|1] [B|DEBUG|1] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|SILENT|1] [S|CPU|M32C80]
+" 2 
+"[V|VERSION|2] [S|INPUTLIBRARY|^"L=mr308^"|^"L=c308mr^"|^"L=nc382lib^"] [S|INPUT|^"$(CONFIGDIR)\mrtable.r30^"] [B|DEBUG|1] [B|MAP-S|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).x30^"] [B|STARTUPLINK|1] [B|NOMESSAGE|1] [S|CPU|M32C80]
+" 4 
+"[V|VERSION|2] [S|MODE|CREATE|] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).lib^"] [B|SILENT|1]
+" 6 
+[EXCLUDED_FILES_Debug]
+[LINKAGE_ORDER_Debug]
+[GENERAL_DATA_CONFIGURATION_Debug]
+[OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Assembler]
+"Assembly source file" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+[OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C C Compiler]
+"C source file" "061cd8963acbbc10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+[OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Configurator]
+"Single Shot" "061cd8963acbbc10" 1 
+[OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Librarian]
+"Single Shot" "032b447e85684d10" 6 
+[OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Linker]
+"Single Shot" "01b7557e85684d10" 4 
+[OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Stype Converter]
+"Single Shot" "01b7557e85684d10" 5 
+[OPTIONS_Debug_M32C_FoUSB_UART]
+"" 0 
+"[V|VERSION|2] [S|FORMAT|STYPE] [B|DATALENGTH|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).mot^"] [B|SILENT|1]
+" 5 
+"[V|VERSION|2] [S|INCLUDE|^"$(CONFIGDIR)^"] [S|DEFINE|M32C87=1] [B|INSPECTOR|1] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [S|LIST|L|M] [B|DISABLES_MESSAGE|1] [B|CONTROLS_FILE|1] [B|RTOS|1]
+" 3 
+"[V|VERSION|2] [S|INCLUDE|^"$(CONFIGDIR)^"] [S|DEFINE|M32C87=1] [S|OUTPUT|OBJECTCODE] [B|INSPECTOR|1] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|SILENT|1]
+" 2 
+"[V|VERSION|2] [S|INPUTLIBRARY|^"L=mr308^"|^"L=nc308lib^"|^"L=c308mr^"|^"L=nc382lib^"] [S|INPUT|^"$(CONFIGDIR)\mrtable.r30^"] [B|DEBUG|1] [B|MAP-S|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).x30^"] [B|STARTUPLINK|1] [B|NOMESSAGE|1]
+" 4 
+"[V|VERSION|2] [S|MODE|CREATE|] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).lib^"] [B|SILENT|1]
+" 6 
+"[V|VERSION|2] [S|SPEC|UITRON3]
+" 1 
+[EXCLUDED_FILES_Debug_M32C_FoUSB_UART]
+[LINKAGE_ORDER_Debug_M32C_FoUSB_UART]
+[GENERAL_DATA_CONFIGURATION_Debug_M32C_FoUSB_UART]
+[OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
+"Assembly source file" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+[OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
+"C source file" "061cd8963acbbc10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+[OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
+"Single Shot" "061cd8963acbbc10" 1 
+[OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
+"Single Shot" "032b447e85684d10" 6 
+[OPTIONS_Debug_M32C_Simulator_Renesas M32C Linker]
+"Single Shot" "01b7557e85684d10" 4 
+[OPTIONS_Debug_M32C_Simulator_Renesas M32C Stype Converter]
+"Single Shot" "01b7557e85684d10" 5 
+[OPTIONS_Debug_M32C_Simulator]
+"" 0 
+"[V|VERSION|2] [S|FORMAT|STYPE] [B|DATALENGTH|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).mot^"] [B|SILENT|1]
+" 5 
+"[V|VERSION|2] [S|INCLUDE|^"$(CONFIGDIR)^"] [S|DEFINE|M32C87=1] [B|INSPECTOR|1] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [S|LIST|L|M] [B|DISABLES_MESSAGE|1] [B|CONTROLS_FILE|1] [B|RTOS|1]
+" 3 
+"[V|VERSION|2] [S|INCLUDE|^"$(CONFIGDIR)^"] [S|DEFINE|M32C87=1] [S|OUTPUT|OBJECTCODE] [B|INSPECTOR|1] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|SILENT|1]
+" 2 
+"[V|VERSION|2] [S|INPUTLIBRARY|^"L=mr308^"|^"L=nc308lib^"|^"L=c308mr^"|^"L=nc382lib^"] [S|INPUT|^"$(CONFIGDIR)\mrtable.r30^"] [B|DEBUG|1] [B|MAP-S|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).x30^"] [B|STARTUPLINK|1] [B|NOMESSAGE|1]
+" 4 
+"[V|VERSION|2] [S|MODE|CREATE|] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).lib^"] [B|SILENT|1]
+" 6 
+"[V|VERSION|2] [S|SPEC|UITRON3]
+" 1 
+[EXCLUDED_FILES_Debug_M32C_Simulator]
+[LINKAGE_ORDER_Debug_M32C_Simulator]
+[GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
+[OPTIONS_Release_Renesas M32C Assembler]
+"Assembly source file" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+[OPTIONS_Release_Renesas M32C C Compiler]
+"C source file" "061cd8963acbbc10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_najib_idzim\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+[OPTIONS_Release_Renesas M32C Configurator]
+"Single Shot" "061cd8963acbbc10" 1 
+[OPTIONS_Release_Renesas M32C Librarian]
+"Single Shot" "032b447e85684d10" 6 
+[OPTIONS_Release_Renesas M32C Linker]
+"Single Shot" "01b7557e85684d10" 4 
+[OPTIONS_Release_Renesas M32C Stype Converter]
+"Single Shot" "01b7557e85684d10" 5 
+[OPTIONS_Release]
+"" 0 
+"[V|VERSION|2] [S|FORMAT|STYPE] [B|DATALENGTH|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).mot^"] [B|SILENT|1]
+" 5 
+"[V|VERSION|2] [S|INCLUDE|^"$(CONFIGDIR)^"] [S|DEFINE|M32C87=1] [B|INSPECTOR|1] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [S|LIST|L|M] [B|DISABLES_MESSAGE|1] [B|CONTROLS_FILE|1] [B|RTOS|1]
+" 3 
+"[V|VERSION|2] [S|INCLUDE|^"$(CONFIGDIR)^"] [S|DEFINE|M32C87=1] [S|OUTPUT|OBJECTCODE] [B|INSPECTOR|1] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|SILENT|1]
+" 2 
+"[V|VERSION|2] [S|INPUTLIBRARY|^"L=mr308^"|^"L=nc308lib^"|^"L=c308mr^"|^"L=nc382lib^"] [S|INPUT|^"$(CONFIGDIR)\mrtable.r30^"] [B|DEBUG|1] [B|MAP-S|1] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).x30^"] [B|STARTUPLINK|1] [B|NOMESSAGE|1]
+" 4 
+"[V|VERSION|2] [S|MODE|CREATE|] [S|OUTPUT|^"$(CONFIGDIR)\$(PROJECTNAME).lib^"] [B|SILENT|1]
+" 6 
+"[V|VERSION|2] [S|SPEC|UITRON3]
+" 1 
+[EXCLUDED_FILES_Release]
+[LINKAGE_ORDER_Release]
+[GENERAL_DATA_CONFIGURATION_Release]
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
+"MEMORY_MAPPING_OPTIONS" "" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_SessionM32C_E8a_system]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_SessionM32C_E8a_system]
+"MEMORY_MAPPING_OPTIONS" "" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_SessionM32C_FoUSB_UART]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_SessionM32C_FoUSB_UART]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_SessionM32C_Simulator]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_SessionM32C_Simulator]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_FoUSB_UART_DefaultSession]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_FoUSB_UART_DefaultSession]
+"MEMORY_MAPPING_OPTIONS" "" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_FoUSB_UART_SessionM32C_E8a_system]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_FoUSB_UART_SessionM32C_E8a_system]
+"MEMORY_MAPPING_OPTIONS" "" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_FoUSB_UART_SessionM32C_FoUSB_UART]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_FoUSB_UART_SessionM32C_FoUSB_UART]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_FoUSB_UART_SessionM32C_Simulator]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_FoUSB_UART_SessionM32C_Simulator]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_DefaultSession]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_DefaultSession]
+"MEMORY_MAPPING_OPTIONS" "" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_SessionM32C_E8a_system]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_SessionM32C_E8a_system]
+"MEMORY_MAPPING_OPTIONS" "" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_SessionM32C_FoUSB_UART]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_SessionM32C_FoUSB_UART]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_SessionM32C_Simulator]
+[SESSION_DATA_CONFIGURATION_SESSION_Debug_M32C_Simulator_SessionM32C_Simulator]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Release_DefaultSession]
+[SESSION_DATA_CONFIGURATION_SESSION_Release_DefaultSession]
+"MEMORY_MAPPING_OPTIONS" "" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Release_SessionM32C_E8a_system]
+[SESSION_DATA_CONFIGURATION_SESSION_Release_SessionM32C_E8a_system]
+"MEMORY_MAPPING_OPTIONS" "" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Release_SessionM32C_FoUSB_UART]
+[SESSION_DATA_CONFIGURATION_SESSION_Release_SessionM32C_FoUSB_UART]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[GENERAL_DATA_CONFIGURATION_SESSION_Release_SessionM32C_Simulator]
+[SESSION_DATA_CONFIGURATION_SESSION_Release_SessionM32C_Simulator]
+"MEMORY_MAPPING_OPTIONS" "Unknown Options" 
+[EXT_DEBUGGER_INFO]
+0 "" "" "" "" 
+[END]
Index: branch/najib_idzim/tp_info6/Emb_App/SessionM32C_Simulator.BKS
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App/SessionM32C_Simulator.BKS	(nonexistent)
+++ branch/najib_idzim/tp_info6/Emb_App/SessionM32C_Simulator.BKS	(revision 146)
@@ -0,0 +1,82 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"2.3" 
+[SESSION_DETAILS]
+"" 
+[INFORMATION]
+"" 
+[GENERAL_DATA]
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlECX_MAP_FIND_SYMBOL_LIST" "" 
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBatchFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileDir" "" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileName" "" 
+"{7943C44E-7D44-422A-9140-4CF55C88F7D3}DifferenceCtrlViews" "0" 
+[LANGUAGE]
+"English" 
+[CONFIG_INFO_VD1]
+0 
+[CONFIG_INFO_VD2]
+0 
+[CONFIG_INFO_VD3]
+0 
+[CONFIG_INFO_VD4]
+0 
+[WINDOW_POSITION_STATE_DATA_VD1]
+[WINDOW_POSITION_STATE_DATA_VD2]
+[WINDOW_POSITION_STATE_DATA_VD3]
+[WINDOW_POSITION_STATE_DATA_VD4]
+[WINDOW_Z_ORDER]
+[TARGET_NAME]
+"" "" 0 
+[STATUSBAR_STATEINFO_VD1]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD2]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD3]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD4]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_DEBUGGER_PANESTATE_VD1]
+[STATUSBAR_DEBUGGER_PANESTATE_VD2]
+[STATUSBAR_DEBUGGER_PANESTATE_VD3]
+[STATUSBAR_DEBUGGER_PANESTATE_VD4]
+[DEBUGGER_OPTIONS]
+"" 
+[DOWNLOAD_MODULES]
+[CONNECT_ON_GO]
+"FALSE" 
+[DOWNLOAD_MODULES_AFTER_BUILD]
+"FALSE" 
+[REMOVE_BREAKPOINTS_ON_DOWNLOAD]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_PRIOR_TO_COMMAND_FILE_EXECUTION]
+"FALSE" 
+[LIMIT_DISASSEMBLY_MEMORY_ACCESS]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_DURING_EXECUTION]
+"FALSE" 
+[DEBUGGER_OPTIONS_PROPERTIES]
+"0" 
+[COMMAND_FILES]
+[DEFAULT_DEBUG_FORMAT]
+"" 
+[FLASH_DETAILS]
+"" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
+[BREAKPOINTS]
+[END]
Index: branch/najib_idzim/tp_info6/Emb_App/SessionM32C_E8a_system.BKS
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App/SessionM32C_E8a_system.BKS	(nonexistent)
+++ branch/najib_idzim/tp_info6/Emb_App/SessionM32C_E8a_system.BKS	(revision 146)
@@ -0,0 +1,360 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"2.3" 
+[SESSION_DETAILS]
+"" 
+[INFORMATION]
+"" 
+[GENERAL_DATA]
+"FIRST_CONNECTION_TAG" "NO" 
+"MRULABELS_DATAMANAGER_KEY" "FFFFFF|000000|500" 
+"RESET_CPU_AFTER_DOWNLOAD_TAG" "VARIANT_TRUE_STORE_TAG" 
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlECX_MAP_FIND_SYMBOL_LIST" "" 
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlViews" "0" 
+"{2BA6A3EE-6488-11D5-80D4-00C04F68EAD7}ECXLABEL_ADDDLG_ADDR" "" 
+"{2BA6A3EE-6488-11D5-80D4-00C04F68EAD7}LabelCtrlSymbolFileDir" "" 
+"{2BA6A3EE-6488-11D5-80D4-00C04F68EAD7}LabelCtrlSymbolFileName" "" 
+"{2BA6A3EE-6488-11D5-80D4-00C04F68EAD7}LabelCtrlViews" "0" 
+"{2BA6A3EF-6488-11D5-80D4-00C04F68EAD7}StatusCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBatchFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBreakpointFlag" "-1 " 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBreakpointStatus" "-1 " 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlSplitterPosition" "242" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_DEST_ADDRESS" "500" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_END_ADDRESS" "FFFFFF" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_START_ADDRESS" "000000" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_FILL_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_FILL_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_MOVE_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_MOVE_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_SEARCH_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_SEARCH_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_SET_DEST_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_TEST_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_TEST_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryCtrlViews" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0AutoRefreshEnableTopPane" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0AutoRefreshIntervalTopPane" "100" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0DataLength" "1" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0DispAddressTopPane" "1280" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0DispCode" "42208" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0DispColumnCount" "16" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0IsDispCode" "1" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0IsDispFloat" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0IsDispLabel" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0IsDispRegister" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0IsRegFollowEnableTopPane" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0LabelWidth" "96" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0Radix" "16" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0RegFollowRegTblIDTopPane" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0RegisterWidth" "96" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0ScrollEndAddress" "16777215" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0ScrollStartAddress" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewA0StartUpSymbolTopPane" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewAInstanceKey0" "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0AutoRefreshEnableTopPane" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0AutoRefreshIntervalTopPane" "100" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0DataLength" "1" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0DispAddressTopPane" "1280" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0DispCode" "42208" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0DispColumnCount" "16" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0IsDispCode" "1" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0IsDispFloat" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0IsDispLabel" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0IsDispRegister" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0IsRegFollowEnableTopPane" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0LabelWidth" "96" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0Radix" "16" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0RegFollowRegTblIDTopPane" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0RegisterWidth" "96" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0ScrollEndAddress" "16777215" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0ScrollStartAddress" "0" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewB0StartUpSymbolTopPane" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryWndViewBInstanceKey0" "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_systemViewB" 
+"{4B022541-3E95-11D7-909C-00201898052D}ElfDwarf2Objects" "1" 
+"{4B022541-3E95-11D7-909C-00201898052D}LoadModule0OBJ_ELFDWARF2_ARRAY_EXPAND_LIMIT" "-1" 
+"{4B022541-3E95-11D7-909C-00201898052D}LoadModule0OBJ_STATUS_OF_EBD_CMD" "0" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0EnableRRam" "0" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType" "2" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column1" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column2" "5" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column3" "19" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column4" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column5" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column6" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column7" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column8" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode1Column0" "5" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode1Column1" "130" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode2Column0" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode2Column1" "35" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode3Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode3Column1" "29" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode3Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode3Column3" "91" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode4Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode4Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode4Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode4Column3" "113" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode5Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode5Column1" "21" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode5Column2" "55" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode5Column3" "55" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column0" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column2" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column3" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column4" "26" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column5" "53" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column1" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column3" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column4" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column5" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode8Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode8Column1" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode8Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode8Column3" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column0" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column2" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column3" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column4" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column5" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column6" "81" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2MrMode" "6" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2StatusBarMode0" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2StatusBarMode1" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0Sampling" "100" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_DENORMAL_MODE" "0" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_EVAL_ROUND_MODE" "0" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_0" "0000000000004044" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_1" "0000000000000020" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_10" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_11" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_12" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF056E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000928" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000074A" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004004" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_24" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_25" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_26" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_27" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_28" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_29" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_3" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_30" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_31" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_32" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_33" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_34" "000000000000036A" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000008" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000946" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_COUNT" "36" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileDir" "" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileName" "" 
+"{7943C44E-7D44-422A-9140-4CF55C88F7D3}DifferenceCtrlViews" "0" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE" "00000000,00000000,0,0" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_ADDRESS_NAME" "" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_COMB_ADDRESS" ",,,," 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_COMB_BUFFER" ",,,," 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_SAMPLING_RATE" "1000" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}WaveformCtrlViews" "0" 
+"{95A081A1-7001-11D5-B1FD-00A0C9E23A58}RegistersCtrlViews" "0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_ADDRESS_NAME" "" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_BUFFER" "00000000,00000000,0,0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_COLOR" "0,0,0,0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_COMB_ADDRESS" ",,,," 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_COMB_PALETTE" ",,,," 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_PALETTE_NAME" "" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_REDRAW_CONTINUOUSLY" "0,2" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_SAMPLEING_RATE" "1000" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_VIEW" "0,0,0,0,0,0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ImageCtrlViews" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchCtrlViews" "4" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth0" "148" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth1" "186" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth12" "200" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth2" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH" "c,buff,n,rx,flag," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "dma0_fin_tr, 2, 0, P, Col, Hex, MN" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "200" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth2" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth3" "200" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ECX_WATCH" "" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ECX_WATCH_ITEMCnt" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd2ColWidth0" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd2ColWidth1" "150" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd2ColWidth12" "200" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd2ColWidth2" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd2ColWidth3" "200" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd2ECX_WATCH" "" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd2ECX_WATCH_ITEMCnt" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ColWidth0" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ColWidth1" "150" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ColWidth12" "200" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ColWidth2" "120" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ColWidth3" "200" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ECX_WATCH" "" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd3ECX_WATCH_ITEMCnt" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndInitial_Radix" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndInstanceKey0" "{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndRecentFile_WatchRecord" "" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndRecentFile_WatchSave" "" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWndUpdate_Interval" "100" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_FLASH_MODE" "0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_GOOPTION" "0 5 0 0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_ROUND" "RM_NEAR" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_CONFIG_STEPOPTION" "0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC1" "0,0,1,0,1,0,1,0,0,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC2" "0,0,1,0,1,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC3" "0,0,1,0,1,0,1,0,0,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_EVENT_BC4" "0,0,1,0,1,0,1,0,0,0" 
+"{D3D4595F-12B4-4866-8F9A-78C30AC967E3}T_SESSION_IS_SAVED" "YES" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventCtrlViews" "2" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWnd0ColWidth0" "40" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWnd0ColWidth1" "50" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWnd0ColWidth2" "280" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWnd0ColWidth3" "300" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWnd0ScrollHorz" "0" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWnd0ScrollVert" "0" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWnd1ColWidth0" "40" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWnd1ColWidth1" "50" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWnd1ColWidth2" "280" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWnd1ColWidth3" "300" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWnd1ScrollHorz" "0" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWnd1ScrollVert" "0" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWndInstanceKey0" "{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" 
+"{D595F9C0-EF22-11D5-B7DB-0000E10B3DA9}EventWndInstanceKey1" "{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" 
+"{E6D16242-FB42-44CE-B289-ED9FE8563816}MR308DXCtrlViews" "0" 
+"{EEDC9300-6FBE-11D5-8613-00A024591A38}LocalsCtrlViews" "0" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceCtrlViews" "0" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlIOFile" "" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlSaveFileDir" "$(CONFIGDIR)" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlSaveFileName" "" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlViews" "0" 
+[LANGUAGE]
+"English" 
+[CONFIG_INFO_VD1]
+1 
+[CONFIG_INFO_VD2]
+0 
+[CONFIG_INFO_VD3]
+0 
+[CONFIG_INFO_VD4]
+0 
+[WINDOW_POSITION_STATE_DATA_VD1]
+"Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 0 "0.14" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
+"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.16" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
+"{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 1 "1.00" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.15" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
+"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.13" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
+"{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 308 0 0 350 200 18 0 "" "0.0" 
+"{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000003_BOOKMARKS}" "TOOLBAR 0" 59419 1 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000004_TEMPLATES}" "TOOLBAR 0" 59419 1 0 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000005_SEARCH}" "TOOLBAR 0" 59419 0 1 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000007_DEBUG}" "TOOLBAR 0" 59419 2 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000008_DEBUGRUN}" "TOOLBAR 0" 59419 2 1 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000009_VERSIONCONTROL}" "TOOLBAR 0" 59419 1 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000011_CPU}" "TOOLBAR 0" 59419 2 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000012_MAP}" "TOOLBAR 0" 59419 1 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000013_SYMBOL}" "TOOLBAR 0" 59419 2 6 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000014_CODE}" "TOOLBAR 0" 59419 2 7 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000016_GRAPHIC}" "TOOLBAR 0" 59419 2 8 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000018_DEFAULTWINDOW}" "TOOLBAR 0" 59419 1 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000023_RTOS}" "TOOLBAR 0" 59419 2 9 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000025_HELPSYSTEMTOOL}" "TOOLBAR 0" 59419 0 3 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000026_MACRO}" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000029_SYSTEMTOOL}" "TOOLBAR 0" 59419 2 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+[WINDOW_POSITION_STATE_DATA_VD2]
+[WINDOW_POSITION_STATE_DATA_VD3]
+[WINDOW_POSITION_STATE_DATA_VD4]
+[WINDOW_Z_ORDER]
+"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" 
+[TARGET_NAME]
+"M32C E8a SYSTEM" "" 0 
+[STATUSBAR_STATEINFO_VD1]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD2]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD3]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD4]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_DEBUGGER_PANESTATE_VD1]
+[STATUSBAR_DEBUGGER_PANESTATE_VD2]
+[STATUSBAR_DEBUGGER_PANESTATE_VD3]
+[STATUSBAR_DEBUGGER_PANESTATE_VD4]
+[DEBUGGER_OPTIONS]
+"[B|SIMIOF|1] [I|SIMIOADR|0x00000000] [S|ROM_MODE|^"^"] [S|MAP|^"^"] [S|RESOURCE|^"^"]" 
+[DOWNLOAD_MODULES]
+"$(CONFIGDIR)\$(PROJECTNAME).x30" 0 "IEEE695_RENESAS" 0 0 1 0 
+[CONNECT_ON_GO]
+"FALSE" 
+[DOWNLOAD_MODULES_AFTER_BUILD]
+"TRUE" 
+[REMOVE_BREAKPOINTS_ON_DOWNLOAD]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_PRIOR_TO_COMMAND_FILE_EXECUTION]
+"FALSE" 
+[LIMIT_DISASSEMBLY_MEMORY_ACCESS]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_DURING_EXECUTION]
+"FALSE" 
+[DEBUGGER_OPTIONS_PROPERTIES]
+"0" 
+[COMMAND_FILES]
+[DEFAULT_DEBUG_FORMAT]
+"IEEE695_RENESAS" 
+[FLASH_DETAILS]
+"" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
+[BREAKPOINTS]
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 0 1 "{00000000-0000-0000-C000-000000000046}" "" 
+[END]
Index: branch/najib_idzim/tp_info6/Emb_App/old_version_2.2_001SessionM32C_Simulator.hsf
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App/old_version_2.2_001SessionM32C_Simulator.hsf	(nonexistent)
+++ branch/najib_idzim/tp_info6/Emb_App/old_version_2.2_001SessionM32C_Simulator.hsf	(revision 146)
@@ -0,0 +1,80 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"2.2" 
+[SESSION_DETAILS]
+"" 
+[INFORMATION]
+"" 
+[GENERAL_DATA]
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlECX_MAP_FIND_SYMBOL_LIST" "" 
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBatchFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileDir" "" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileName" "" 
+"{7943C44E-7D44-422A-9140-4CF55C88F7D3}DifferenceCtrlViews" "0" 
+[LANGUAGE]
+"English" 
+[CONFIG_INFO_VD1]
+0 
+[CONFIG_INFO_VD2]
+0 
+[CONFIG_INFO_VD3]
+0 
+[CONFIG_INFO_VD4]
+0 
+[WINDOW_POSITION_STATE_DATA_VD1]
+[WINDOW_POSITION_STATE_DATA_VD2]
+[WINDOW_POSITION_STATE_DATA_VD3]
+[WINDOW_POSITION_STATE_DATA_VD4]
+[WINDOW_Z_ORDER]
+[STATUSBAR_STATEINFO_VD1]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD2]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD3]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD4]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_DEBUGGER_PANESTATE_VD1]
+[STATUSBAR_DEBUGGER_PANESTATE_VD2]
+[STATUSBAR_DEBUGGER_PANESTATE_VD3]
+[STATUSBAR_DEBUGGER_PANESTATE_VD4]
+[TARGET_NAME]
+"" 
+[DEBUGGER_OPTIONS]
+"" 
+[DOWNLOAD_MODULES]
+[CONNECT_ON_GO]
+"FALSE" 
+[DOWNLOAD_MODULES_AFTER_BUILD]
+"FALSE" 
+[REMOVE_BREAKPOINTS_ON_DOWNLOAD]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_PRIOR_TO_COMMAND_FILE_EXECUTION]
+"FALSE" 
+[LIMIT_DISASSEMBLY_MEMORY_ACCESS]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_DURING_EXECUTION]
+"FALSE" 
+[COMMAND_FILES]
+[DEFAULT_DEBUG_FORMAT]
+"" 
+[FLASH_DETAILS]
+"" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
+[BREAKPOINTS]
+[END]
Index: branch/najib_idzim/tp_info6/Emb_App/DefaultSession.BKS
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App/DefaultSession.BKS	(nonexistent)
+++ branch/najib_idzim/tp_info6/Emb_App/DefaultSession.BKS	(revision 146)
@@ -0,0 +1,108 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"2.3" 
+[SESSION_DETAILS]
+"" 
+[INFORMATION]
+"" 
+[GENERAL_DATA]
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlECX_MAP_FIND_SYMBOL_LIST" "" 
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBatchFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBreakpointFlag" "-1 " 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBreakpointStatus" "-1 " 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlSplitterPosition" "242" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileDir" "" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileName" "" 
+"{7943C44E-7D44-422A-9140-4CF55C88F7D3}DifferenceCtrlViews" "0" 
+[LANGUAGE]
+"English" 
+[CONFIG_INFO_VD1]
+1 
+[CONFIG_INFO_VD2]
+0 
+[CONFIG_INFO_VD3]
+0 
+[CONFIG_INFO_VD4]
+0 
+[WINDOW_POSITION_STATE_DATA_VD1]
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.03" 195 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 0 "1.00" 195 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 284 0 0 350 200 18 0 "" "0.0" 
+"{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000003_BOOKMARKS}" "TOOLBAR 0" 59419 1 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000004_TEMPLATES}" "TOOLBAR 0" 59419 1 0 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000005_SEARCH}" "TOOLBAR 0" 59419 0 1 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000007_DEBUG}" "TOOLBAR 0" 59419 2 0 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000008_DEBUGRUN}" "TOOLBAR 0" 59419 2 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000009_VERSIONCONTROL}" "TOOLBAR 0" 59419 1 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000012_MAP}" "TOOLBAR 0" 59419 1 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000018_DEFAULTWINDOW}" "TOOLBAR 0" 59419 1 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000025_HELPSYSTEMTOOL}" "TOOLBAR 0" 59419 0 3 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000026_MACRO}" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000029_SYSTEMTOOL}" "TOOLBAR 0" 59419 2 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+[WINDOW_POSITION_STATE_DATA_VD2]
+[WINDOW_POSITION_STATE_DATA_VD3]
+[WINDOW_POSITION_STATE_DATA_VD4]
+[WINDOW_Z_ORDER]
+"D:\laffont\Tp_Info14\Emb_App\programme_principal_etud.c" 
+"D:\laffont\Tp_Info14\Emb_App\uart0.c" 
+"D:\laffont\Tp_Info14\Emb_App\crt0mr.a30" 
+"D:\laffont\Tp_Info14\Emb_App\conf_noyau.cfg" 
+"D:\laffont\Tp_Info14\Emb_App\periph.c" 
+"D:\laffont\Tp_Info14\Emb_App\c_sec.inc" 
+[TARGET_NAME]
+"" "" 0 
+[STATUSBAR_STATEINFO_VD1]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD2]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD3]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD4]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_DEBUGGER_PANESTATE_VD1]
+[STATUSBAR_DEBUGGER_PANESTATE_VD2]
+[STATUSBAR_DEBUGGER_PANESTATE_VD3]
+[STATUSBAR_DEBUGGER_PANESTATE_VD4]
+[DEBUGGER_OPTIONS]
+"" 
+[DOWNLOAD_MODULES]
+[CONNECT_ON_GO]
+"FALSE" 
+[DOWNLOAD_MODULES_AFTER_BUILD]
+"FALSE" 
+[REMOVE_BREAKPOINTS_ON_DOWNLOAD]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_PRIOR_TO_COMMAND_FILE_EXECUTION]
+"FALSE" 
+[LIMIT_DISASSEMBLY_MEMORY_ACCESS]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_DURING_EXECUTION]
+"FALSE" 
+[DEBUGGER_OPTIONS_PROPERTIES]
+"0" 
+[COMMAND_FILES]
+[DEFAULT_DEBUG_FORMAT]
+"" 
+[FLASH_DETAILS]
+"" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
+[BREAKPOINTS]
+[END]
Index: branch/najib_idzim/tp_info6/Emb_App/old_version_2.2_001SessionM32C_FoUSB_UART.hsf
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App/old_version_2.2_001SessionM32C_FoUSB_UART.hsf	(nonexistent)
+++ branch/najib_idzim/tp_info6/Emb_App/old_version_2.2_001SessionM32C_FoUSB_UART.hsf	(revision 146)
@@ -0,0 +1,273 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"2.2" 
+[SESSION_DETAILS]
+"" 
+[INFORMATION]
+"" 
+[GENERAL_DATA]
+"FIRST_CONNECTION_TAG" "NO" 
+"MRULABELS_DATAMANAGER_KEY" "ff1cef|FF1201|FF1F3D|FF1FD3|FF13FD" 
+"RESET_CPU_AFTER_DOWNLOAD_TAG" "VARIANT_TRUE_STORE_TAG" 
+"{210D75A5-E8B6-462A-A69C-EFB481B02BD1}PDScriptCtrlViews" "0" 
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlECX_MAP_FIND_SYMBOL_LIST" "" 
+"{287A8023-99B5-49E1-A54E-4DDCA43D7959}MapCtrlViews" "0" 
+"{2BA6A3EF-6488-11D5-80D4-00C04F68EAD7}StatusCtrlViews" "0" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBatchFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlBrowseDirectory" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlLogFileName" "" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlViews" "1" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineCtrlWindowProperties" "17" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}CmdLineWndInstanceKey0" "{WK_00000001_CmdLine}" 
+"{313F4FC1-6566-11D5-8BBE-0004E2013C71}TclTkCtrlLogFileName" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_COMPARE_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_DEST_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_DISPLAY_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_FILL_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_FILL_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_MOVE_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_MOVE_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_SEARCH_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_SEARCH_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_SET_DEST_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_TEST_END_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}ECX_MEMORY_TEST_START_ADDRESS" "" 
+"{313F4FC2-6566-11D5-8BBE-0004E2013C71}MemoryCtrlViews" "0" 
+"{348532CE-10A4-4D46-B946-95A8279582D2}RamMonitorCtrlViews" "0" 
+"{348532CE-10A4-4D46-B946-95A8279582D2}RamMonitorWndRRAM Monitor AreaCount" "1" 
+"{348532CE-10A4-4D46-B946-95A8279582D2}RamMonitorWndRRAM Monitor AreaSize0" "1" 
+"{348532CE-10A4-4D46-B946-95A8279582D2}RamMonitorWndRRAM Monitor AreaStart0" "00000400" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRCtrlViews" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0EnableRRam" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType" "2" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column1" "22" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column2" "5" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column3" "19" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column4" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column5" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column6" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column7" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode0Column8" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode1Column0" "5" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode1Column1" "130" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode2Column0" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode2Column1" "35" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode3Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode3Column1" "29" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode3Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode3Column3" "91" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode4Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode4Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode4Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode4Column3" "113" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode5Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode5Column1" "21" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode5Column2" "55" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode5Column3" "55" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column0" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column2" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column3" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column4" "53" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode6Column5" "53" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column1" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column3" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column4" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode7Column5" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode8Column0" "4" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode8Column1" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode8Column2" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode8Column3" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column0" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column1" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column2" "11" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column3" "7" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column4" "8" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column5" "9" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2ColumnSizeMode9Column6" "81" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2MrMode" "0" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2StatusBarMode0" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0MrType2StatusBarMode1" "1" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWnd0Sampling" "10" 
+"{55384715-F881-421C-A548-D7D1ABE158E1}PDMRWndInstanceKey0" "{WK_00000001_PDMR}tp_info14SessionM32C_FoUSB_UART" 
+"{5A6890B2-17C2-4AB3-B941-0F899F6A3D76}EcxPDSwbreakwinDataHeight" "359" 
+"{5A6890B2-17C2-4AB3-B941-0F899F6A3D76}EcxPDSwbreakwinDataLeft" "0" 
+"{5A6890B2-17C2-4AB3-B941-0F899F6A3D76}EcxPDSwbreakwinDataTop" "38" 
+"{5A6890B2-17C2-4AB3-B941-0F899F6A3D76}EcxPDSwbreakwinDataWidth" "344" 
+"{5A6890B2-17C2-4AB3-B941-0F899F6A3D76}PDSwbreakwinCtrlViews" "0" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileDir" "" 
+"{6C4D5B81-FD67-46A9-A089-EA44DCDE47FD}RAMMonitorManagerCtrlBlockInfoFileName" "" 
+"{783D0BD9-7779-48C6-B353-04D9C39BA969}FirstLoadOnV103" "0" 
+"{7943C44E-7D44-422A-9140-4CF55C88F7D3}DifferenceCtrlViews" "0" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE" "00000000,00000000,0,0" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_ADDRESS_NAME" "" 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_COMB_ADDRESS" ",,,," 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}ECX_WAVE_COMB_BUFFER" ",,,," 
+"{8A898260-6F1D-11D5-8EB6-00004CC34E9D}WaveformCtrlViews" "0" 
+"{95A081A1-7001-11D5-B1FD-00A0C9E23A58}RegistersCtrlViews" "0" 
+"{99F424FE-E727-45AE-AE1F-11E29DEF272C}PDGuiIOCtrlPDGuiIOLastSaveDirectory" "" 
+"{99F424FE-E727-45AE-AE1F-11E29DEF272C}PDGuiIOCtrlViews" "0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_ADDRESS_NAME" "" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_BUFFER" "00000000,00000000,0,0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_COLOR" "0,0,0,0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_COMB_ADDRESS" ",,,," 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_COMB_PALETTE" ",,,," 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_PALETTE_NAME" "" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_REDRAW_CONTINUOUSLY" "0,2" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ECX_IMAGE_VIEW" "0,0,0,0,0,0" 
+"{AC411480-6F0A-11D5-8EB6-00004CC34E9D}ImageCtrlViews" "0" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchCtrlViews" "1" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0DisplayString" "0" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0File Local_Column_Address" "80" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0File Local_Column_Name" "150" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0File Local_Column_Scope" "0" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0File Local_Column_Value" "100" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Global_Column_Address" "80" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Global_Column_Name" "150" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Global_Column_Scope" "0" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Global_Column_Value" "100" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0HideTypeName" "1" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Local_Column_Address" "80" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Local_Column_Name" "189" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Local_Column_Scope" "0" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Local_Column_Value" "233" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Num_Watch" "4" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0RamMoniterEnable" "0" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0SAMPLING" "1000" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Sym_Watch_0000" "azimut,azimut,  16725857,3,NN,Col,N-N,Def,00000000,00000000,[Auto]," 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Sym_Watch_0001" "distc,distc,  16725927,3,NN,Col,N-N,Def,00000001,00000000,[Auto]," 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Sym_Watch_0002" "vitesse,vitesse,  16725331,3,NN,Col,N-N,Def,00000002,00000000,[Auto]," 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Sym_Watch_0003" "trec,trec,  16725338,16,NP,Exp,0-4,Def,00000003,00000000,[Auto]," 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Sym_Watch_0004" "byte,(pd10_addr).byte,  16725782,2,NN,Col,N-N,Def,00000004,00000000,[Auto]," 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Sym_Watch_0005" "byte,(p10_addr).byte,  16725782,2,NN,Col,N-N,Def,00000005,00000000,[Auto]," 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Watch_Column_Address" "80" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Watch_Column_Name" "150" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Watch_Column_Scope" "80" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0Watch_Column_Value" "100" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd0ZeroSuppressInHex" "1" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndInstanceKey0" "{WK_00000001_CWATCH}EmbM32C87AppSessionM32C_FoUSB_UART" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndNum_Watch" "6" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndSym_Watch_0000" "((u0tb_addr).byte).low" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndSym_Watch_0001" "(u0c1_addr).byte" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndSym_Watch_0002" "(ad00_addr).word" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndSym_Watch_0003" "(ad01_addr).word" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndSym_Watch_0004" "(pd10_addr).byte" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWndSym_Watch_0005" "(p10_addr).byte" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd_InitialRadix" "Default" 
+"{C62E6398-F79C-4FAB-801E-8B1A464777C3}CWatchWnd_TAB" "Global,File Local,Local,Watch," 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ASMWatchCtrlViews" "0" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ASMWatchWnd_AddressArea" "1" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ASMWatchWnd_PointNum" "0" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ASMWatchWnd_RramEnable" "1" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ASMWatchWnd_Sampling" "100" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ASMWatchWnd_SizeArea" "1" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ECX_ASMWATCH_DLG_BIT_ADDR" "" 
+"{D465B72E-4328-4D5D-B49F-992C2C8B1EE9}ECX_ASMWATCH_DLG_SYMBOL_ADDR" "" 
+"{E6D16242-FB42-44CE-B289-ED9FE8563816}MR308DXCtrlViews" "0" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceCtrlViews" "0" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWnd0ColWidth0" "45" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWnd0ColWidth1" "100" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWnd0ColWidth2" "120" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWnd0ScrollHorz" "0" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWnd0ScrollVert" "0" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWnd0_Disp_NestCount" "10" 
+"{EEDC9301-6FBE-11D5-8613-00A024591A38}StackTraceWndInstanceKey0" "{WK_00000001_STACKTRACE}EmbM32C87AppSessionM32C_FoUSB_UART" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlIOFile" "" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlSaveFileDir" "$(CONFIGDIR)" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlSaveFileName" "" 
+"{F866DB60-6186-11D5-8BBE-0004E2013C71}IOCtrlViews" "0" 
+[LANGUAGE]
+"English" 
+[CONFIG_INFO_VD1]
+0 
+[CONFIG_INFO_VD2]
+0 
+[CONFIG_INFO_VD3]
+0 
+[CONFIG_INFO_VD4]
+0 
+[WINDOW_POSITION_STATE_DATA_VD1]
+"{WK_00000001_CWATCH}EmbM32C87AppSessionM32C_FoUSB_UART" "WINDOW" 59422 0 0 "0.52" 272 0 0 350 200 18 0 "32772|32773|32836|<<separator>>|32775|32776|32777|32778|<<separator>>|32780|<<separator>>|32785|<<separator>>|32837|32845|<<separator>>|32839|32841" "0.0" 
+"{WK_00000001_CWATCH}tp_info14SessionM32C_FoUSB_UART" "WINDOW" 59422 0 0 "0.15" 318 0 0 350 200 2065 0 "32772|32773|32836|<<separator>>|32775|32776|32777|32778|<<separator>>|32780|<<separator>>|32785" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.30" 272 20 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801" "0.0" 
+"{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -26 1115 802 9 0 "" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 0 "1.00" 272 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_PDMR}tp_info14SessionM32C_FoUSB_UART" "WINDOW" 59422 0 3 "0.41" 272 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_STACKTRACE}EmbM32C87AppSessionM32C_FoUSB_UART" "WINDOW" 59422 0 1 "0.13" 272 0 0 350 200 2065 0 "" "0.0" 
+"{WK_00000001_STACKTRACE}tp_info14SessionM32C_FoUSB_UART" "WINDOW" 59422 0 0 "0.33" 318 0 0 350 200 2065 0 "" "0.0" 
+"{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 231 0 0 350 200 18 0 "" "0.0" 
+"{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000003_BOOKMARKS}" "TOOLBAR 0" 59419 1 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000004_TEMPLATES}" "TOOLBAR 0" 59419 1 0 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000005_SEARCH}" "TOOLBAR 0" 59419 0 1 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000007_DEBUG}" "TOOLBAR 0" 59419 2 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000008_DEBUGRUN}" "TOOLBAR 0" 59420 1 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000009_VERSIONCONTROL}" "TOOLBAR 0" 59419 1 3 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000011_CPU}" "TOOLBAR 0" 59420 1 1 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000012_MAP}" "TOOLBAR 0" 59419 1 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000013_SYMBOL}" "TOOLBAR 0" 59420 1 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000014_CODE}" "TOOLBAR 0" 59419 2 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000016_GRAPHIC}" "TOOLBAR 0" 59419 2 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000018_DEFAULTWINDOW}" "TOOLBAR 0" 59419 1 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000022_BREAK}" "TOOLBAR 0" 59420 1 3 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000023_RTOS}" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000025_HELPSYSTEMTOOL}" "TOOLBAR 0" 59419 0 3 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
+"{WK_TB00000026_MACRO}" "TOOLBAR 0" 59419 1 5 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000028_RTOSDEBUG}" "TOOLBAR 0" 59419 2 1 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+"{WK_TB00000029_SYSTEMTOOL}" "TOOLBAR 0" 59419 2 2 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
+[WINDOW_POSITION_STATE_DATA_VD2]
+[WINDOW_POSITION_STATE_DATA_VD3]
+[WINDOW_POSITION_STATE_DATA_VD4]
+[WINDOW_Z_ORDER]
+[STATUSBAR_STATEINFO_VD1]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD2]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD3]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_STATEINFO_VD4]
+"MasterShowState" 1 
+"ApplicationShowState" 1 
+"DebuggerShowState" 1 
+[STATUSBAR_DEBUGGER_PANESTATE_VD1]
+[STATUSBAR_DEBUGGER_PANESTATE_VD2]
+[STATUSBAR_DEBUGGER_PANESTATE_VD3]
+[STATUSBAR_DEBUGGER_PANESTATE_VD4]
+[TARGET_NAME]
+"M32C FoUSB/UART" 
+[DEBUGGER_OPTIONS]
+"Unknown Options" 
+[DOWNLOAD_MODULES]
+"$(CONFIGDIR)\$(PROJECTNAME).x30" 0 "IEEE695_RENESAS" 0 0 1 0 
+[CONNECT_ON_GO]
+"FALSE" 
+[DOWNLOAD_MODULES_AFTER_BUILD]
+"TRUE" 
+[REMOVE_BREAKPOINTS_ON_DOWNLOAD]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_PRIOR_TO_COMMAND_FILE_EXECUTION]
+"FALSE" 
+[LIMIT_DISASSEMBLY_MEMORY_ACCESS]
+"FALSE" 
+[DISABLE_MEMORY_ACCESS_DURING_EXECUTION]
+"FALSE" 
+[COMMAND_FILES]
+[DEFAULT_DEBUG_FORMAT]
+"IEEE695_RENESAS" 
+[FLASH_DETAILS]
+"" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
+[BREAKPOINTS]
+[END]
Index: branch/najib_idzim/tp_info6/Emb_App/programme_principal_etud.c
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App/programme_principal_etud.c	(revision 145)
+++ branch/najib_idzim/tp_info6/Emb_App/programme_principal_etud.c	(revision 146)
@@ -119,10 +119,13 @@
 //				disponible. 0xab avec a-> nombre de couleurs bien placées et b -> couleurs présentes mais mal placées.
 //'I'/73/Ox49 : Définition du nom du véhicule. Doit débuter par le caractère '#' et entraine le chargement de la configuration de piste
 //				correspondant au nom du véhicule si le nom se termine par '*'
+
+void vitesseTourelle(int vitesse);
 
-
 void main()
-{
+{
+
+	
 	ports_mcu();
     lcd_init();
 	periph_init();
@@ -133,14 +136,18 @@
 	capture_init();
 
 	sta_cyc(ID_acqui);
-//	sta_tsk(ID_periph_rx);
-
+//	sta_tsk(ID_periph_rx);
+
+
+
+	vitesseTourelle (400);
     while(1)
     {
 		LED_J=1;
 		dly_tsk(100);
 		LED_J=0;
-		dly_tsk(100);
+		dly_tsk(100);
+
     }
 }
 
@@ -148,4 +155,12 @@
 {
 	LED_V=!LED_V;
 }
-
+
+void vitesseTourelle(int vitesse)
+{
+	CanFrame comm;
+	comm.data.id = 'T';
+	comm.data.rtr = 0; //ecriture
+	comm.data.val = vitesse;
+	snd_dtq (CanTx,comm.msg);
+}
Index: branch/najib_idzim/tp_info6/Emb_App.BKW
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App.BKW	(nonexistent)
+++ branch/najib_idzim/tp_info6/Emb_App.BKW	(revision 146)
@@ -0,0 +1,40 @@
+[HIMDBVersion]
+2.0
+[DATABASE_VERSION]
+"11.0" 
+[WORKSPACE_DETAILS]
+"Emb_App" "E:\tp_info6_2018_najib_idzim\tp_info6" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+[SHARED_WORKSPACE_CONTROL_STATUS]
+"" "" "" 
+"" "" "" 
+[PROJECTS]
+"EmbM32C87App" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App" "E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\EmbM32C87App.hwp" 4 
+[INFORMATION]
+"No workspace information available" 
+[SCRAP]
+[PROJECT_DEPENDENCY]
+[WORKSPACE_PROPERTIES]
+[HELP_FILES]
+[GENERAL_DATA_PROJECT]
+[USERMENUTOOLS]
+[CUSTOMPLACEHOLDERS]
+[MAKEFILE_BUILD_INFO]
+"$(PROJECTNAME)_$(CONFIGNAME).mak" "" "$(WORKSPDIR)\make" 0 0 0 
+[VD_CONFIGURATION_OPTIONS]
+"ACTIVE_DESKTOP" "0" 
+[VD_CONFIGURATIONS]
+"0" "Default1" "1" 
+"1" "Default2" "1" 
+"2" "Default3" "1" 
+"3" "Default4" "1" 
+[OPTIONS_DEBUG_TAB]
+0 0 0 0 0 
+[VCS]
+"" "" "" 0 
+[VCS_PROJECT]
+[MAKEFILE_ENV_STRINGS]
+[MAKEFILE_ENV_FLAGS]
+1 0 0 
+[MAKEFILE_CLEAN_INFO]
+"" 
+[END]
Index: branch/najib_idzim/tp_info6/Emb_App.ARF
===================================================================
--- branch/najib_idzim/tp_info6/Emb_App.ARF	(nonexistent)
+++ branch/najib_idzim/tp_info6/Emb_App.ARF	(revision 146)
@@ -0,0 +1,6 @@
+E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App.hws
+E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\EmbM32C87App.hwp
+E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf
+E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\DefaultSession.hsf
+E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\SessionM32C_E8a_system.hsf
+E:\tp_info6_2018_najib_idzim\tp_info6\Emb_App\SessionM32C_Simulator.hsf
